Docs Autonomy
Référence APIRun Requests

Get run request status

Returns the current state of a run request including interpretation status, resolved entries, and per-entry run progress.

GET
/api/run-requests/status

Returns the current state of a run request including interpretation status, resolved entries, and per-entry run progress.

Authorization

bearerAuth
AuthorizationBearer <token>

Send Authorization: Bearer . The token can be an Autonomy organization API key (aut_xxx) or an OAuth access token.

In: header

Query Parameters

id*string

Run request ID (the requestId returned when the request was created).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/run-requests/status?id=string"
{
  "requestId": "string",
  "status": "interpreting",
  "request": "string",
  "resolutionSource": "string",
  "rejectionReasons": [
    "string"
  ],
  "error": "string",
  "createdAt": 0,
  "completedAt": 0,
  "entries": [
    {
      "runId": "string",
      "testPlanId": "string",
      "planName": "string",
      "platforms": [
        "web"
      ],
      "target": {
        "kind": "environment",
        "slug": "string",
        "name": "string"
      },
      "queueError": "string",
      "runStatus": "string",
      "runError": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}